Get activity codes
curl --request GET \
--url https://api.smokeball.com/activitycodes \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/activitycodes"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/activitycodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.smokeball.com/activitycodes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.smokeball.com/activitycodes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.smokeball.com/activitycodes")
.header("x-api-key", "<api-key>")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.smokeball.com/activitycodes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"value": [
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "23d2a4bc-8529-462e-8560-dfbf4fa24e49",
"versionId": "23d2a4bc-8529-462e-8560-dfbf4fa24e49",
"updatedByUserId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
"type": 0,
"description": "Contract review",
"code": "CR",
"isBillable": true,
"rateType": 2,
"rate": 23.2,
"quantity": 0.6,
"taxInclusive": true,
"taxExempt": true,
"taxZeroRated": false,
"taxOutOfScope": false,
"isDeleted": true,
"inputTaxRate": 45.63,
"outputTaxRate": 45.63
}
],
"offset": 123,
"limit": 123,
"size": 123,
"first": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"previous": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"next": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"last": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Activity Codes
Get activity codes
Returns a list of activity codes.
GET
/
activitycodes
Get activity codes
curl --request GET \
--url https://api.smokeball.com/activitycodes \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/activitycodes"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/activitycodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.smokeball.com/activitycodes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.smokeball.com/activitycodes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.smokeball.com/activitycodes")
.header("x-api-key", "<api-key>")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.smokeball.com/activitycodes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"value": [
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "23d2a4bc-8529-462e-8560-dfbf4fa24e49",
"versionId": "23d2a4bc-8529-462e-8560-dfbf4fa24e49",
"updatedByUserId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
"type": 0,
"description": "Contract review",
"code": "CR",
"isBillable": true,
"rateType": 2,
"rate": 23.2,
"quantity": 0.6,
"taxInclusive": true,
"taxExempt": true,
"taxZeroRated": false,
"taxOutOfScope": false,
"isDeleted": true,
"inputTaxRate": 45.63,
"outputTaxRate": 45.63
}
],
"offset": 123,
"limit": 123,
"size": 123,
"first": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"previous": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"next": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"last": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Query Parameters
Response
When request is successful. Returns a paged collection of 'ActivityCode' objects.